wordpress 502


1.问题

搬瓦工逐步淘汰OpenVZ,OpenVZ 不能续费,只能重新选购KVM。意味着自己的wordpress要迁移到新的VPS。https://bandwagonhost.com/

安装完lnmp,数据库恢复、wordpress相关文件copy到新虚机,nginx配置,DNS解析,可以顺利访问网站,但是登陆后台部分页面出现502。

2.定位

nginx/1.14.0、mysql/5.5.60、php/ 5.6.36版本都是和原来一致的,试了网上的一些方法后都不行。然后自己乖乖的定位。 通过dmesg命令或 查看/var/log/syslog,发现php-fpm在调用libssl.so.1.1时出现段错误。

迁移前后的系统存在着差异,迁移前用的ubuntu 16.04,迁移后ubuntu 18.04,libssl版本一个1.0一个1.1,存在这差异。

3.解决

最后的解决方案,重新安装lnmp环境,php版本选择PHP 7.0.30,运行正常。
PHP 7.0.30依然依赖libssl.so.1.1但不会像5.5.60那样出现段错误,502页面也不出现了。


4.总结

以后干脆搞搞整成docker image得了。

5.题外话

迁移的时候看了两眼access.log,发现有人弱口令爆破自己的网站,哈哈哈。这小破站也值得搞?就怕贼惦记啊。
正好一直找不到好的弱口令集合,打算整理一下,整个弱口令集。

此条目发表在wordpress分类目录,贴了, , , , , 标签。将固定链接加入收藏夹。

发表评论

电子邮件地址不会被公开。 必填项已用*标注